CLI - list/info cmd of lifecycle environment displays incorrect prior env name.

05/16/2014 09:30 PM - Brad Buckingham

Status: Closed   
Assignee: Brad Buckingham   
Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1095189 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1095189

Description of problem:

Create a env tests and set prior as 'Library' ================================================

[root@qetello02 ~]# hammer lifecycle-environment create --prior='Library' --name='test' --organization-id='orgdomain'

Environment created

Now list the environment: ===========================

[root@qetello02 ~]# hammer lifecycle-environment list --organization-id='orgdomain'

----|---------|-----------------

ID  | NAME    | PRIOR

----|---------|-----------------

695 | Library |

697 | test    | nameLibraryid695

----|---------|-----------------

Here the PRIOR env name should be 'Library'

check info of created env: ==========================

[root@qetello02 ~]# hammer lifecycle-environment info --id 697 --organization-id=orgdomain

ID:                          697

Name:                        test

Label:                       test

Description:

Organization:                orgdomain

Library:                     false

Prior Lifecycle Environment: nameLibraryid695

Here the PRIOR env name should be 'Library'

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.22-1.el6sat.noarch

foreman-compute-1.5.0.22-1.el6sat.noarch

foreman-gce-1.5.0.22-1.el6sat.noarch

foreman-libvirt-1.5.0.22-1.el6sat.noarch
foreman-ovirt-1.5.0.22-1.el6sat.noarch

foreman-postgresql-1.5.0.22-1.el6sat.noarch

foreman-proxy-1.5.7-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.5.0.22-1.el6sat.noarch

katello-1.5.0-20.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.34-1.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-8.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-18.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

The PRIOR env name is listed as below:

----|---------|-----------------

ID  | NAME    | PRIOR

----|---------|-----------------

695 | Library |

697 | test    | nameLibraryid695

Expected results:

info/list commands should display PRIOR env name as 'Library'

Additional info:

Associated revisions

Revision 27b90016 - 05/16/2014 09:36 PM - Brad Buckingham

fixes #5771 - lifecycle-environment - fix the behavir of prior environment

In order to see this fix for environments that do not have

a prior (e.g. Library), the following hammer-cli change

will be needed:

https://github.com/theforeman/hammer-cli/pull/107

Revision ff14fae1 - 05/22/2014 08:04 PM - Brad Buckingham

Merge pull request #172 from bbuckingham/issue-5771

fixes #5771 - lifecycle-environment - fix the behavir of prior environment

History
#1 - 05/16/2014 09:31 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged set to Yes

#2 - 05/16/2014 09:31 PM - Brad Buckingham

- Target version set to 44

- translation missing: en.field_release set to 13

#3 - 05/22/2014 08:06 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:27b90016d8f4e904378b144d31b8f9e8c35f023c.
